Questions tagged [jedi]

The tag has no usage guidance.

11 questions with no upvoted or accepted answers
Filter by
Sorted by
Tagged with
3
votes
0answers
47 views

xref gets confused by similar class names

If I use evil-jump-to-tag or xref-find-defintions on an inherited class module whose name is the same as a class in my current project, I am taken to the definition in the current project. I would ...
3
votes
0answers
148 views

How to connect to remote python with jedi.el?

How can I connect to remote python with jedi.el? I need to use remote virtualenv for getting possible completions, docs, etc.
2
votes
0answers
234 views

Automatically use appropriate Python version with Jedi.el

Documentation says that it can be done by making some variables buffer local. But how to make it correctly? Can somebody show me example how to configure this jedi.el behaviour correctly? Now I have ...
1
vote
0answers
96 views

Jedi fails to start Jedi EPC Server because python 3.8 is installed and 3.7 not

Are the only solutions to downgrade python 3.8 to 3.7 or wait till it is supported or are there other options? The error message is this: Error (jedi): ================================ Failed to ...
1
vote
0answers
132 views

Elpy auto-complete gives incomplete suggestions

I am trying to use Elpy for Emacs to write Python programs. The auto-complete feature suggests all attributes of PyQt5 classes, but suggests only a subset of the attributes of instances of these ...
1
vote
2answers
429 views

Autocomplete after dot in python

I haven't used emacs before, but would like to learn how to use it properly for Python development. From the past IDEs I have used I enjoyed the feature to obtain information on possible objects ...
1
vote
0answers
140 views

Jedi doesn't work properly with PyQt5

I have auto-complete and jedi installed and everything works just fine except autocompletion in PyQt5. When i try to subclass for example QWidget and in the __init__ method I type self and then press ...
1
vote
0answers
225 views

Company duplicates

I use gtags, jedi and dabbrev for python. Sometimes the duplicates get a bit annoying. I read that using :with should sort out the duplicates problem. However, it does not... Is there a better ...
0
votes
0answers
36 views

elpy - This feature requires the ‘jedi‘ package to be installed

I am getting following error when I do M-x elpy-goto-definition, even though I have installed jedi. I have followed following answer and this one. Error message: This feature requires the ‘jedi‘ ...
0
votes
0answers
100 views

Jedi EPC server - make client process fails

Recently my Emacs/Python setup stopped working as it had done previously without any problem. I have the following defining where my virtual environments are in my init files... (setq venv-location (...
0
votes
0answers
49 views

jedi with ein does not work

While Jedi works in python mode, it does not in ein (jupyter-notebook). If I run jedi:setup manually, both of jedi and auto-complete get listed among minor modes. I use emacs 25.1.1 on Debian. I use ...